void main(void)
{
  if (&rebel > 0) createmen();
  if (&king > 0)
  {
    say_stop("`3欢迎小森林国王,国王万岁万岁万万岁",&current_sprite);
  }
}

void createmen(void)
{
//touch damage
 int &crap = create_sprite(250,230, 9, 0, 0);
 sp_base_walk(&crap, 290);
 sp_base_attack(&crap, 720); 
 sp_speed(&crap, 3);
 sp_distance(&crap,35);
 sp_range(&crap, 45);
 
 sp_strength(&crap, 20);
 sp_timing(&crap, 0);
 sp_touch_damage(&crap,5);
 sp_target(&crap, 1);
  sp_hitpoints(&crap, 40);
 // sp_script(&crap, "s2-fight");

int &crap = create_sprite(250,260, 9, 0, 0);
 sp_base_walk(&crap, 290);
 sp_base_attack(&jcrap, 720); 
 sp_speed(&jcrap, 2);
 sp_distance(&jcrap,40);
 sp_range(&jcrap, 55);
 sp_strength(&jcrap, 20);
 sp_touch_damage(&jcrap, 2);
 sp_timing(&jcrap, 0);
 sp_target(&jcrap, 1);
 sp_hitpoints(&jcrap, 100);
  //sp_touch_damage(&crap,5);
 sp_script(&jcrap, "s2-fight");
 //wait(500);

int &kcrap = create_sprite(250,300, 9, 0, 0);
 sp_base_walk(&kcrap, 290);
 sp_base_attack(&kcrap, 720); 
 sp_speed(&kcrap, 2);
 sp_distance(&kcrap,30);
 sp_range(&kcrap, 45);
 sp_strength(&kcrap, 20);
 sp_touch_damage(&kcrap, 2);
 sp_timing(&kcrap, 0);
 sp_target(&kcrap, 1);
 sp_hitpoints(&kcrap, 40);
 //sp_script(&kcrap, "s2-fight");
 sp_touch_damage(&kcrap,5);

int &acrap = create_sprite(250,160, 9, 0, 0);
 sp_base_walk(&acrap, 290);
 sp_base_attack(&acrap, 720); 
 sp_speed(&acrap, 2);
 sp_distance(&acrap,50);
 sp_range(&crap, 60);
 sp_strength(&acrap, 20);
 sp_touch_damage(&acrap, 2);
 sp_timing(&acrap, 0);
 sp_target(&acrap, 1);
 sp_hitpoints(&acrap, 40);
 sp_script(&acrap, "s2-fight");

 //wait (500);
int &bcrap = create_sprite(350,160, 9, 0, 0);
 sp_base_walk(&bcrap, 390);
 sp_base_attack(&bcrap, 720); 
 sp_speed(&bcrap, 3);
 sp_distance(&bcrap,50);
 sp_range(&bcrap, 65);
 sp_strength(&bcrap, 20);
 sp_touch_damage(&bcrap, 2);
 sp_timing(&bcrap, 0);
 sp_target(&bcrap, 1);
 sp_hitpoints(&bcrap, 40);
 sp_script(&bcrap, "s2-fight");


int &ccrap = create_sprite(330,160, 9, 0, 0);
 sp_base_walk(&ccrap, 290);
 sp_base_attack(&ccrap, 720); 
 sp_speed(&ccrap, 3);
 sp_distance(&ccrap,50);
 sp_strength(&ccrap, 20);
 sp_range(&crap, 65);
 sp_touch_damage(&ccrap, 2);
 sp_timing(&ccrap, 0);
 sp_target(&ccrap, 1);
 sp_hitpoints(&ccrap, 40);
 sp_script(&ccrap, "s2-fight");
}